=== debian/changelog ===
eucalyptus (2.0+bzr1241-0ubuntu4.3) maverick-proposed; urgency=low

  * d/patches/28-clock_drift.patch: Resolve issue with rampart blocking
    communication between CC and NC when time is fractionally in the
    future (LP: #854946).

 -- James Page <james.page@ubuntu.com>  Mon, 26 Sep 2011 09:41:53 +0100

eucalyptus (2.0+bzr1241-0ubuntu4.2) maverick-security; urgency=low

  * SECURITY UPDATE: SOAP signature replay vulnerability.
    - add debian/patches/27-soap-security.patch, thanks to upstream.
    - CVE-2011-0730

 -- Kees Cook <kees@ubuntu.com>  Tue, 26 Apr 2011 15:10:11 -0700

eucalyptus (2.0+bzr1241-0ubuntu4.1) maverick-security; urgency=low

  * SECURITY UPDATE: An unauthenticated user to the admin web interface, 
    could reset a user password, without email confirmation. (LP: #675372).
    - debian/patches/26-confirm-password-change.patch: Enable email as an 
      additional stage confirmation, when a password reset request is made.
      Patch courtesy of upstream Eucalyptus.
    - debian/eucalyptus-cloud.postinst: Remove the server side web ui cache
      and restart eucalyptus.
    - CVE-2010-3905

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 18 Nov 2010 17:11:48 +0000

eucalyptus (2.0+bzr1241-0ubuntu4) maverick; urgency=low

  * debian/eucalyptus-java-common.postinst: On upgrades from Lucid/10.04,
    ensure eucalyptus is stopped before attempting to upgrade the database
    schema. (LP: #649799)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Tue, 28 Sep 2010 19:42:41 +0100

eucalyptus (2.0+bzr1241-0ubuntu3) maverick; urgency=low

  * debian/eucalyptus-java-common.{pre|postinst}: Backup /usr/share/eucalytpus
    to enable the euca_upgrade script to be able to properly upgrade
    the components. (LP: #646100, #644759)
  * debian/patches/07-local_support_euca_conf-in.patch: 
    - Do not upgrade /etc/eucalyptus/eucalyptus.local.conf as it shouldn't 
      contain settings that require updating, and has the undesirable feature 
      of disabling eucalyptus network settings. (LP: #644733)
    - Resolved removal of nodes from nodes.list when deregistering a node
      (LP: #640502)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 27 Sep 2010 23:41:14 +0100

eucalyptus (2.0+bzr1241-0ubuntu2) maverick; urgency=low

  * debian/registration/uec_component_listener.c: Ignore IPv6 avahi broadcasts.
    Both IPv4 and IPv6 broadcasts are dispatched from the components. A 
    registration attempt was therefore made for each.  As IPv6 isn't supported
    the processing when caught is now ignored.  (LP: #627963, #628025)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 20 Sep 2010 16:57:24 +0100

eucalyptus (2.0+bzr1241-0ubuntu1) maverick; urgency=low

  * New upstream bug fix snapshot, -r1241
    - Fixes euca-* commands stop responding. (LP: #639639 
    - Fixes metadata service returning 500 error. (LP: #637659)
  * debian/patches/06-UEC-webinterface.patch: Improved cross
    browser compatability, particularly on the login screen.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Thu, 16 Sep 2010 17:10:38 +0100

eucalyptus (2.0+bzr1239-0ubuntu2) maverick; urgency=low

  * debian/eucalyptus-java-common.preinst: Move the cloud.d/scripts symlink 
    to the backup location on upgrade from 10.04/Lucid. (LP: #636687)
  * debian/control: Build-Depend on libavahi-* >= 0.6.27-2ubuntu2, as the
    earlier version dropped udeb shlibs. (LP: #636101)

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Mon, 13 Sep 2010 13:46:18 +0100

eucalyptus (2.0+bzr1239-0ubuntu1) maverick; urgency=low

  [Dave Walker (Daviey)]
  * New upstream stable release, -r1239 Fixes:
    - euca_conf --register-cluster is not idempotent. (LP: #628328)
    - unexpected errors after a sequence of tests (LP: #622818)
  * debian/control: 
    - Recommend bittorrent|bittornado for -walrus package, enabling S3 
      bittorent API support. (LP: #613535)
    - Raise the minimum version of libvirt-bin needed to eucalyptus-nc.
  * debian/eucalyptus-nc.postinst: Add eucalyptus user to the kvm group to 
    enable user to utilise console logs. (LP: #619843)
  * debian/patches/18-priv_security.patch: Added vgscan to util/wrappers.conf,
    as it requires escalated privileges. (LP: #628291)
  * debian/patches/06-UEC-webinterface.patch (and 3 images): Updated and 
    refreshed to better reflect Ubuntu branding. (LP: #631451)
  * debian/patches/25-uec-logo-png.patch: Due to a bug in dpkg, we need to use
    a different filename for the logo.png.
  * debian/eucalyptus-{java-,}common.{preinst,postinst}: Update the internal
    database and keys on upgrade from 10.04.

  [Scott Moser]
  * fix determination of 'is_multiboot'.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 10 Sep 2010 12:18:02 +0100

eucalyptus (2.0~bzr1233-0ubuntu2) maverick; urgency=low
  
  [Scott Moser]
  * take the multiboot path only if kernel really is a multiboot
    image (LP: #622995)

  [Dave Walker (Daviey)]
  * debian/registration/{cluster,node,storage,walrus}: Added more verbose 
    logging on failure, and state success/failure rather than just return code.
  * debian/uec-component-listener.upstart: Added sleep, as it was starting too
    early; often causing registration failures. (LP: #622698)

  [Clint Byrum]
  * debian/rules debian/eucalyptus-common.install: Fixing munin plugin install
  * Added README.Debian file to eucalyptus-common package to explain usage of
    munin plugin.

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Wed, 25 Aug 2010 22:11:40 +0100

eucalyptus (2.0~bzr1233-0ubuntu1) maverick; urgency=low

  * New upstream snapshot, -r1233, fixes:
    - LP: #619970 - more robust Date: generation on NC

 -- Dustin Kirkland <kirkland@ubuntu.com>  Thu, 19 Aug 2010 20:19:34 -0500

eucalyptus (2.0~bzr1232-0ubuntu1) maverick; urgency=low

  * New upstream snapshot, -r1232, bugs fixed by upstream:
    - LP: #610479 - remove spurious state update causing network index reuse

