=== debian/control ===
Source: eucalyptus
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends:
 ant,
 ant-optional,
 cdbs,
 debhelper (>= 7),
 default-jdk,
 groovy (>= 1.7),
 junit,
 libantlr-java,
 libavahi-core-dev (>= 0.6.27-2ubuntu2),
 libavahi-client-dev (>= 0.6.27-2ubuntu2),
 libaxiom-java,
 libaxis2c-dev,
 libbackport-util-concurrent-java,
 libbcprov-java,
 libcap-dev,
 libcommons-fileupload-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-lang-java,
 libcommons-pool-java (>= 1.4),
 libcurl4-gnutls-dev,
 libdebian-installer-dev,
 libdnsjava-java,
 libdrools-core-java,
 libecj-java,
 libeucalyptus-commons-ext-java (>= 0.5.0),
 libgeronimo-j2ee-connector-1.5-spec-java,
 libgeronimo-jpa-3.0-spec-java,
 libgnumail-java,
 libgoogle-collections-java,
 libgwt-dev-java,
 libgwt-user-java,
 libhsqldb-java,
 libjaxp1.3-java,
 libjetty-java,
 libjibx-java (>= 1.1.6a),
 libjson-java,
 liblog4j1.2-java,
 libnetty-java,
 librampart-dev (>=1.3.0-0ubuntu6),
 libservlet2.5-java,
 libssl-dev,
 libvirt-dev,
 libwsdl4j-java,
 libwss4j-java,
 libxalan2-java,
 libxerces2-java,
 libxml-security-java (>= 1.4.2-1ubuntu1),
 pkg-config,
 quilt,
 zlib1g-dev,
 libjavassist-java,
 libjetty-extra-java
Standards-Version: 3.8.4
Homepage: http://open.eucalyptus.com/
Vcs-Bzr: http://bazaar.launchpad.net/ubuntu-core-dev/ubuntu/maverick/eucalyptus/devel/

Package: eucalyptus-common
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 adduser,
 openssh-server (>= 1:5.2p1-1ubuntu1),
 openssh-client,
 avahi-utils,
 python
Recommends:
 unzip,
 munin-node
Description: Elastic Utility Computing Architecture - Common files
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the common parts: you will need to install either
 eucalyptus-cloud, eucalyptus-cc or eucalyptus-nc (or all of them).

Package: eucalyptus-sc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 eucalyptus-java-common,
 tgt
Recommends:
 open-iscsi,
 munin
Suggests: aoetools
Description: Elastic Utility Computing Architecture - Storage controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the storage controller part of eucalyptus.

Package: eucalyptus-cloud
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 uec-component-listener,
 eucalyptus-java-common
Recommends:
 python-image-store-proxy,
 postfix | mail-transport-agent,
 munin
Replaces:
 eucalyptus-cc (<= 1.6~bzr919-0ubuntu3),
 eucalyptus-sc (<= 1.6~bzr919-0ubuntu3),
 eucalyptus-walrus (<= 1.6~bzr919-0ubuntu3)
Description: Elastic Utility Computing Architecture - Cloud controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the cloud controller part of eucalyptus.

Package: eucalyptus-walrus
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 eucalyptus-java-common
Recommends:
 munin-node,
 bittorrent | bittornado
Description: Elastic Utility Computing Architecture - Walrus (S3)
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains Walrus, the S3 part of eucalyptus.

Package: eucalyptus-java-common
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 antlr3,
 default-jre-headless | java5-runtime-headless,
 dmsetup,
 eucalyptus-common,
 groovy (>= 1.7),
 janino,
 junit,
 libantlr-java,
 libasm3-java,
 libaxiom-java,
 libbackport-util-concurrent-java,
 libbcel-java,
 libbcprov-java,
 libbsf-java,
 libc3p0-java,
 libcglib-java,
 libcommons-beanutils-java,
 libcommons-cli-java,
 libcommons-codec-java,
 libcommons-collections3-java,
 libcommons-discovery-java,
 libcommons-fileupload-java,
 libcommons-httpclient-java,
 libcommons-io-java,
 libcommons-jxpath-java,
 libcommons-lang-java,
 libcommons-logging-java,
 libcommons-pool-java (>= 1.4),
 libdnsjava-java,
 libdom4j-java,
 libdrools-core-java,
 libecj-java,
 libeucalyptus-commons-ext-java (>= 0.5.0),
 libexcalibur-logkit-java,
 libezmorph-java,
 libgeronimo-ejb-3.0-spec-java,
 libgeronimo-interceptor-3.0-spec-java,
 libgeronimo-j2ee-connector-1.5-spec-java,
 libgeronimo-jacc-1.1-spec-java,
 libgeronimo-jms-1.1-spec-java,
 libgeronimo-jpa-3.0-spec-java,
 libgeronimo-jta-1.0.1b-spec-java,
 libgnujaf-java,
 libgnumail-java,
 libgoogle-collections-java,
 libgwt-user-java,
 libhsqldb-java,
 libjavassist-java,
 libjaxen-java,
 libjaxp1.3-java,
 libjetty-java,
 libjibx-java (>= 1.1.6a),
 libjson-java,
 libjug-java,
 liblog4j1.2-java,
 libmvel-java,
 libnetty-java,
 libproxool-java,
 libregexp-java,
 libservlet2.5-java,
 libslf4j-java,
 libwoodstox-java,
 libwsdl4j-java,
 libwss4j-java,
 libxalan2-java,
 libxerces2-java,
 libxml-security-java (>= 1.4.2-1ubuntu1),
 libxom-java,
 libxpp3-java,
 lvm2,
 openssh-server,
 vblade,
 libjetty-extra-java
Replaces:
 eucalyptus-javadeps,
 eucalyptus-cloud (<= 1.6.2~bzr1120-0ubuntu2),
 eucalyptus-common
Description: Elastic Utility Computing Architecture - Common Java package
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains everything the java based packages share.

Package: eucalyptus-cc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 apache2,
 libapache2-mod-axis2c,
 eucalyptus-gl,
 uec-component-listener,
 wget
Recommends:
 bridge-utils,
 vlan,
 powerwake,
 dhcp3-server,
 libpam-modules (>= 1.0.1-9ubuntu3)
Suggests: vtun
Conflicts: apache2-mpm-itk
Description: Elastic Utility Computing Architecture - Cluster controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the cluster controller part of eucalyptus.

Package: eucalyptus-nc
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common,
 apache2-mpm-worker | apache2-mpm-prefork,
 libvirt-bin (>= 0.8.3-1ubuntu7),
 libapache2-mod-axis2c,
 eucalyptus-gl,
 adduser,
 iptables,
 xorriso
Suggests: aoetools
Recommends:
 qemu-kvm,
 vlan,
 bridge-utils,
 powernap,
 open-iscsi,
 libcrypt-openssl-random-perl,
 libcrypt-openssl-rsa-perl,
 libcrypt-openssl-x509-perl
Conflicts: apache2-mpm-itk
Description: Elastic Utility Computing Architecture - Node controller
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the node controller part of eucalyptus.

Package: eucalyptus-gl
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 eucalyptus-common
Description: Elastic Utility Computing Architecture - Logging service
 EUCALYPTUS is an open source service overlay that implements elastic
 computing using existing resources. The goal of EUCALYPTUS is to allow
 sites with existing clusters and server infrastructure to co-host an
 elastic computing service that is interface-compatible with Amazon's EC2.
 .
 This package contains the internal log service of eucalyptus.

Package: uec-component-listener
Architecture: any
Depends:
 eucalyptus-common,
 avahi-daemon,
 ${shlibs:Depends},
 ${misc:Depends}
Description: Ubuntu Enterprise Cloud - Component listener
 This package contains the component listener that is used to automatically
 register new UEC components.

Package: eucalyptus-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 configured-network,
 wget-udeb
# after netcfg
XB-Installer-Menu-Item: 1850
Description: Elastic Utility Computing Architecture - installer integration
